<!DOCTYPE html>
<html>
    <head>

    </head>
    <body>
        <script>
            var arr1=[1,2,3,4,5];//array
            document.write("Displaying elements of an array using for loop : ");
            for(i=0;i<arr1.length;i++)
            {
                document.write(arr1[i]+" ");
            }
            document.write("</br>");
            
            document.write("Displaying elements of an array using for..in : ");
            for(index in arr1)
            {
                document.write(arr1[index]+" ");
            }
            document.write("</br>");

            document.write("Displaying elements of an array using for..of : ");
            for(value of arr1)
            {
                document.write(value+" ");
            }
            document.write("</br>");

            document.write("Displaying element of an array using for..each : ");
            arr1.forEach(display_arr1);
            function display_arr1(number)
            {
                document.write(number+" ");
            }
            document.write("</br>");


            
        </script>
    </body>
</html>